package cn.com.countrygarden.bi.main.model.performance.dto;

/**
 * 用于记录一次考核的dto
 *
 * @Author:Wyman
 * @Date:2018/10/25
 */
public class RecordPerformanceDto {

    private String hierachyId;

    private long elementId;

    private int year;

    private int quarter;

    private String rate;

    private double weight;

    private short isExamine;

    private String threshold;

    private String at_Least;

    private String scream;

    private String howl;

    private float score;

    private float complete;

    private float yearly_score;
    
    private String lrdb;           //整体利润是否达标
    private String fwzzdf;           //房屋租售最终得分
    
    
    public String getLrdb() {
		return lrdb;
	}

	public void setLrdb(String lrdb) {
		this.lrdb = lrdb;
	}

	public String getFwzzdf() {
		return fwzzdf;
	}

	public void setFwzzdf(String fwzzdf) {
		this.fwzzdf = fwzzdf;
	}

    public String getHierachyId() {
        return hierachyId;
    }

    public void setHierachyId(String hierachyId) {
        this.hierachyId = hierachyId;
    }

    public long getElementId() {
        return elementId;
    }

    public void setElementId(long elementId) {
        this.elementId = elementId;
    }

    public int getYear() {
        return year;
    }

    public void setYear(int year) {
        this.year = year;
    }

    public int getQuarter() {
        return quarter;
    }

    public void setQuarter(int quarter) {
        this.quarter = quarter;
    }

    public String getRate() {
        return rate;
    }

    public void setRate(String rate) {
        this.rate = rate;
    }

    public double getWeight() {
        return weight;
    }

    public void setWeight(double weight) {
        this.weight = weight;
    }

    public short getIsExamine() {
        return isExamine;
    }

    public void setIsExamine(short isExamine) {
        this.isExamine = isExamine;
    }

    public String getThreshold() {
        return threshold;
    }

    public void setThreshold(String threshold) {
        this.threshold = threshold;
    }

    public String getAt_Least() {
        return at_Least;
    }

    public void setAt_Least(String at_Least) {
        this.at_Least = at_Least;
    }

    public String getScream() {
        return scream;
    }

    public void setScream(String scream) {
        this.scream = scream;
    }

    public String getHowl() {
        return howl;
    }

    public void setHowl(String howl) {
        this.howl = howl;
    }

    public float getScore() {
        return score;
    }

    public void setScore(float score) {
        this.score = score;
    }

    public float getComplete() {
        return complete;
    }

    public void setComplete(float complete) {
        this.complete = complete;
    }

    public float getYearly_score() {
        return yearly_score;
    }

    public void setYearly_score(float yearly_score) {
        this.yearly_score = yearly_score;
    }
}
